## funny-manpages 2.3

=== Makefile ===
all:
	@echo "Nothing to do"

install:
	install -m644 -D man/strfry.3fun ${DESTDIR}/usr/share/man/man3/strfry.3fun
	install -m644 -D man/xkill.1fun ${DESTDIR}/usr/share/man/man1/xkill.1fun
	install -m644 -D man/date.1fun ${DESTDIR}/usr/share/man/man1/date.1fun
	install -m644 -D man/uubp.1fun ${DESTDIR}/usr/share/man/man1/uubp.1fun
	install -m644 -D man/gong.1fun ${DESTDIR}/usr/share/man/man1/gong.1fun
	install -m644 -D man/flog.1fun ${DESTDIR}/usr/share/man/man1/flog.1fun
	install -m644 -D man/echo.1fun ${DESTDIR}/usr/share/man/man1/echo.1fun
	install -m644 -D man/rtfm.1fun ${DESTDIR}/usr/share/man/man1/rtfm.1fun
	install -m644 -D man/celibacy.1fun ${DESTDIR}/usr/share/man/man1/celibacy.1fun
	install -m644 -D man/tm.1fun ${DESTDIR}/usr/share/man/man1/tm.1fun
	install -m644 -D man/rm.1fun ${DESTDIR}/usr/share/man/man1/rm.1fun
	install -m644 -D man/condom.1fun ${DESTDIR}/usr/share/man/man1/condom.1fun
	install -m644 -D man/flame.1fun ${DESTDIR}/usr/share/man/man1/flame.1fun
	install -m644 -D man/rescrog.1fun ${DESTDIR}/usr/share/man/man1/rescrog.1fun
	install -m644 -D man/baby.1fun ${DESTDIR}/usr/share/man/man1/baby.1fun
	install -m644 -D man/xlart.1fun ${DESTDIR}/usr/share/man/man1/xlart.1fun
	install -m644 -D man/party.1fun ${DESTDIR}/usr/share/man/man1/party.1fun
	install -m644 -D man/sex.6fun ${DESTDIR}/usr/share/man/man6/sex.6fun
	install -m644 -D man/grope.1fun ${DESTDIR}/usr/share/man/man1/grope.1fun
	ln -s grope.1fun ${DESTDIR}/usr/share/man/man1/egrope.1fun
	ln -s grope.1fun ${DESTDIR}/usr/share/man/man1/fgrope.1fun

.PHONY: dist
dist:
	cd ..; tar -czf funny-manpages_`head -1 funny-manpages/CHANGELOG`.orig.tar.gz \
		funny-manpages/Makefile \
		funny-manpages/CHANGELOG \
		funny-manpages/LICENSE \
		funny-manpages/README.md \
		funny-manpages/man
	mv ../funny-manpages_`head -1 CHANGELOG`.orig.tar.gz .
	gpg --sign --armor --detach-sign funny-manpages_`head -1 CHANGELOG`.orig.tar.gz

=== debian/changelog ===
funny-manpages (2.3-1) unstable; urgency=medium

  * New upstream release
  * Deleted and recreated all files in debian/
  * Imported d/changelog file from previously dropped
    funny-manpages package.

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 03 Mar 2018 12:34:06 +0100

funny-manpages (1.3-5) unstable; urgency=low

  * Added lintian override to remove reports of missing manpage for woman (as
    this is intentional) (closes: #219907)
  * Changed Build-Depends to Build-Depends-Indep (as per policy)
  * Updated standards version (no changes required)

 -- Pawel Wiecek <coven@debian.org>  Thu, 12 Feb 2004 14:49:22 +0100

funny-manpages (1.3-4) unstable; urgency=low

  * Changed description so it's less confusing (closes: #129502)

 -- Pawel Wiecek <coven@debian.org>  Wed, 23 Jan 2002 13:17:44 +0100

funny-manpages (1.3-3) unstable; urgency=low

  * Added sumlinks for [ef]grope.1fun.gz (closes: #99528)
  * Now compliant with 3.5.5 policy

 -- Pawel Wiecek <coven@debian.org>  Fri,  8 Jun 2001 09:27:43 +0200

funny-manpages (1.3-2) unstable; urgency=low

  * Corrected Build-Depends line in debian/control (was missing debhelper
    version)

 -- Pawel Wiecek <coven@debian.org>  Tue, 22 May 2001 12:38:20 +0200

funny-manpages (1.3-1) unstable; urgency=low

  * Rebuilt source -- all manpages are now in fun subsection (closes: #96463)
  * General cleaning (standards version, etc.)

 -- Pawel Wiecek <coven@debian.org>  Mon,  7 May 2001 10:59:02 +0200

funny-manpages (1.2-1) unstable frozen; urgency=low

  * Rebuilt source -- added date.1fun, echo.1fun, rm.1fun, strfry.3fun,
    xkill.1fun (closes: #28990)
  * uubp.1 now in orig source
  * should no longer create sex.1 (closes: #52543)
  * fixes to party.1 (closes: #52659)
  * added woman.6 (closes: #63862)
  * updated to newest standards version and moved to debhelper

 -- Pawel Wiecek <coven@debian.org>  Fri, 15 Dec 2000 12:26:02 +0100

funny-manpages (1.1-3) unstable frozen; urgency=low

  * Minor fixes in manpages for sex (fixes bugs #45120)
  * Changed section for sex from 1 to 6 (fixes #30977, #37897, #45120)
  * Updated standards version to 3.0.1

 -- Pawel Wiecek <coven@debian.org>  Tue, 26 Oct 1999 21:11:51 +0200

funny-manpages (1.1-2) unstable frozen; urgency=low

  * Changed path in rtfm.1 as suggested by Yann Dirson (fixes bug #25393)
  * Updated Standards-Version

 -- Pawel Wiecek <coven@debian.org>  Sat, 31 Oct 1998 22:13:20 +0100

funny-manpages (1.1-1) unstable; urgency=low

  * Added uubp(1) which was previously in asr-manpages.
  * Removed strfry (conflicted with libc) - this closes bugs #16785 and
    #16840.

 -- Pawel Wiecek <coven@pwr.wroc.pl>  Tue, 23 Dec 1997 00:05:14 +0100

funny-manpages (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Pawel Wiecek <coven@pwr.wroc.pl>  Wed, 10 Dec 1997 01:10:17 +0100

=== debian/control ===
Source: funny-manpages
Section: doc
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Standards-Version: 4.1.3
Build-Depends: debhelper (>> 11)
Homepage: https://github.com/ltworf/funny-manpages
Vcs-Browser: https://salsa.debian.org/debian/funny-manpages
Vcs-Git: https://salsa.debian.org/debian/funny-manpages.git

Package: funny-manpages
Architecture: all
Depends: man-db, ${misc:Depends}
Description: more funny manpages
 A set of miscellaneous humorous manpages (don't take them too seriously!).
 Includes, amongst others, rtfm (1).
 Warning! Some of these manpages might be treated offensive.
 You've been warned.

=== debian/rules ===
#!/usr/bin/make -f

SHELL=sh -e

export DH_VERBOSE=1

%:
	dh $@

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ltworf/funny-manpages/releases \
/download/(?:\d[\d.]*)/@PACKAGE@_(\d[\d.]*)(?:\.orig)?@ARCHIVE_EXT@
